searchData={"items":[{"type":"module","title":"Arb","doc":"A NIF for controlling the ABACOM CH341A relay board.","ref":"Arb.html"},{"type":"function","title":"Arb.activate/2","doc":"Activates the relays that correspond to the given a list of IDs. An empty\nlist deactivates all relays.","ref":"Arb.html#activate/2"},{"type":"function","title":"Options - Arb.activate/2","doc":"* `:port` (`t:non_neg_integer/0`) - The USB port to be used. Only necessary if multiple relay boards are connected.\n\n* `:verify` (`t:boolean/0`) - Configures whether the activation should be verified. The default value is `true`.","ref":"Arb.html#activate/2-options"},{"type":"function","title":"Examples - Arb.activate/2","doc":"iex> Arb.activate([1, 4, 7])\n    :ok","ref":"Arb.html#activate/2-examples"},{"type":"function","title":"Arb.get_active/1","doc":"Returns the ids of active relays.","ref":"Arb.html#get_active/1"},{"type":"function","title":"Options - Arb.get_active/1","doc":"* `:port` (`t:non_neg_integer/0`) - The USB port to be used. Only necessary if multiple relay boards are connected.","ref":"Arb.html#get_active/1-options"},{"type":"function","title":"Examples - Arb.get_active/1","doc":"iex> Arb.get_active()\n    {:ok, [1, 3, 6]}","ref":"Arb.html#get_active/1-examples"},{"type":"function","title":"Arb.reset/1","doc":"Resets the relay board.\n\nIf, under some circumstances relay board operations fail due to a USB error\ne.g. `{:error, {:usb, \"Input/Output Error\"}}`, this function may resolve\nthe issue by resetting the relay board. The effect is similar to replugging\nthe device.\n\n**Note:** Previously activated relays stay active.","ref":"Arb.html#reset/1"},{"type":"function","title":"Options - Arb.reset/1","doc":"* `:port` (`t:non_neg_integer/0`) - The USB port to be used. Only necessary if multiple relay boards are connected.","ref":"Arb.html#reset/1-options"},{"type":"function","title":"Examples - Arb.reset/1","doc":"iex> Arb.reset()\n    :ok","ref":"Arb.html#reset/1-examples"},{"type":"type","title":"Arb.relay_id/0","doc":"The relays are labeled from 1 to 8 according to the\n[data sheet](http://www.abacom-online.de/div/ABACOM_USB_LRB.pdf).","ref":"Arb.html#t:relay_id/0"},{"type":"exception","title":"Arb.Error","doc":"An exception for errors returned by the `arb` library.","ref":"Arb.Error.html"},{"type":"type","title":"Arb.Error.reason/0","doc":"","ref":"Arb.Error.html#t:reason/0"},{"type":"type","title":"Arb.Error.t/0","doc":"","ref":"Arb.Error.html#t:t/0"},{"type":"extras","title":"arb-ex","doc":"# arb-ex\n\n[![Docs](https://img.shields.io/badge/hex-docs-green.svg?style=flat)](https://hexdocs.pm/arb)\n[![Hex.pm](https://img.shields.io/hexpm/v/arb?color=%23714a94)](http://hex.pm/packages/arb)\n\nAn Elixir NIF for controlling the ABACOM CH341A relay board\n([documentation](https://hexdocs.pm/arb)).","ref":"readme.html"},{"type":"extras","title":"Getting started - arb-ex","doc":"","ref":"readme.html#getting-started"},{"type":"extras","title":"Requirements - arb-ex","doc":"In order to compile a recent version of `rust` must be installed. Also, the\nnative [libusb](https://github.com/libusb/libusb) library is required (e.g\n`libusb-1.0-0-dev` on Debian-based distributions).","ref":"readme.html#requirements"},{"type":"extras","title":"Installation - arb-ex","doc":"Add `:arb` to your list of dependencies:\n\n```elixir\ndef deps do\n  [\n    {:arb, \"~> 0.12\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - arb-ex","doc":"```elixir\niex> Arb.activate([1, 4, 7])\n:ok\n\niex> Arb.get_active()\n{:ok, [1, 4, 7]}\n```","ref":"readme.html#usage"},{"type":"extras","title":"Development - arb-ex","doc":"```bash\ndocker build -t arb-ex .\ndocker run --privileged -it arb-ex\n```","ref":"readme.html#development"},{"type":"extras","title":"See also - arb-ex","doc":"- [abacom-relay-board](https://github.com/adriankumpf/abacom-relay-board)","ref":"readme.html#see-also"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2018 Adrian Kumpf\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}